Prism Hosted API

Prism Hosted API

Welcome to the Prism Hosted API.

Prism Labsarrow-up-right provides mobile 3D body scanning and body composition tracking. Use this API to personalize your product with body insights such as body fat and lean mass percentage, body circumference measurements, metabolic age, and body roundness index. With a simple 10-second spin in front of a mobile phone, you can personalize your users’ weight loss journeys or workout plans.

Use this API to:

  • Create and manage users

  • Create and manage body scans

  • Access 3D assets

  • Fetch body composition metrics and health reports

  • Create Future Me predictions

  • Access Future Me prediction assets


Getting started

1

Set up an introduction call

Set up an introduction callarrow-up-right with us to exchange information, discuss use cases, and talk about pricing.

2

Kick off paperwork

Sign the API evaluation agreement, MNDA, and DPA.

3

Integration kick-off call

Align on your ideal outcome, learn about Prism integration pathways (native or web), and refine your use case and integration architecture.

4

Begin integration

We will provide your sandbox API key. During your integration we will assist you with any technical or product questions.

5

Integration checkpoints

Review consent screensarrow-up-right to fulfill legal requirements.

6

Pre-launch check

After all contracts are fully signed and consent screens are approved, we will provide your production API key and you can switch over to production.


Integration

API URLs

Production URL https://api.hosted.prismlabs.tech


API Headers

For all API calls the following headers are required:

Replace {{API_KEY}} with your Prism API key for the selected environment.


API happy flow

1

Create a user

POST /users

2

Initiate scan

POST /scans

3

Get upload URL

POST /scans/{scanId}/upload-url

4

Upload capture data

PUT {upload-url}

5

Check scan status

GET /scans/{scanId}

6

Fetch assets and body metrics for scan

GET /scans/{scanId}/asset-urls GET /scans/{scanId}/measurements GET /scans/{scanId}/bodyfat GET /scans/{scanId}/health-report

7

(Optional) Initiate Future Me (body shape prediction)

POST /body-shape-prediction

8

(Optional) Check Future Me status

GET /body-shape-prediction/{bodyShapePredictionId}

9

(Optional) Fetch assets and metrics for Future Me

GET /body-shape-prediction/{bodyShapePredictionId}/asset-urls

Last updated